# yum.conf - Fedora. Mirrors. Stable packages. GPG keys and package examples.
# (c) 2004 Tero Karvinen http://iki.fi/karvinen
# http://iki.fi/karvinen/yum.conf
# Some Scandinavian mirrors from Matti Niinikoski 2004
# Some foreign mirrors from Maxwell Kanat-Alexander 2004 and "Web Augur" 
# Free software under the GNU General Public License GPL 

# Changelog: 
# 2004-09-28 Funet protocol to http, commented out gpgchecks, fedora.us
# 2004-09-19 Change funet.fi primary protocol to http (proxies, timeout)

# To use Tero's yum.conf
#  su -
#  cd /etc/
#  mv yum.conf old-yum.conf
#  wget http://iki.fi/karvinen/yum.conf
#  rpm --import http://fedora.redhat.com/about/security/4F2A6FD2.txt
#  rpm --import http://www.fedora.us/FEDORA-GPG-KEY
#  rpm --import http://freshrpms.net/packages/RPM-GPG-KEY.txt
#  yum -y update
# Have some coffee while your system is being updated. (30 min - hours) 

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=fedora-release
tolerant=1
exactarch=0
# commands=	# default commands if non given on command line
# http keepalive, disable if you have problems with a proxy:
keepalive=1
retries=6
#exclude=kernel	# RPMs that are not updated. Space separated list, globs *?
# Manually compiled kernel modules usually work with one kernel version only

# Yum repositories. 
# Put gpgcheck=1 to each to verify package authenticity. 
# failovermethod=priority # tries first baseurl, then second...
# failovermethod=roundrobin # default, tries baseurls in random order
# $releasever # defined by distroverpkg in [main], eg. "1"
# $arch # processor, eg. "i686"
# $basearch # base type for processor, eg. "i386" (if your $arch is i686)

### Official Fedora Core / Fedora Project RPMs - http://fedora.redhat.com

[base]
name=Fedora Core $releasever - $basearch - Base - Official RPMs, the same ones that are in installer cd-roms
baseurl=
 http://ftp.funet.fi/pub/linux/mirrors/fedora/linux/core/$releasever/$basearch/os/
 http://mirrors.kernel.org/fedora/core/$releasever/$basearch/os/
 ftp://ftp.sunet.se/pub/Linux/distributions/fedora/core/$releasever/$basearch/os/
 ftp://ftp.surfnet.nl/pub/os/Linux/distr/fedora/$releasever/$basearch/os/
 ftp://ftp.uio.no/pub/Linux/Fedora/core/$releasever/$basearch/os/
 http://ftp.dulug.duke.edu/pub/fedora/linux/core/$releasever/$basearch/os 
 ftp://linux.stanford.edu/pub/mirrors/fedora/linux/core/$releasever/$basearch/os  
 http://fedora.redhat.com/releases/fedora-core-$releasever
 ftp://ftp.ussg.iu.edu/pub/linux/fedora/fedora/redhat/$releasever/$basearch/yum/os/
 http://mirrors.usc.edu/pub/linux/fedora/redhat/$releasever/$basearch/yum/os/
 http://download.fr.fedora.us/fedora/redhat/$releasever/$basearch/yum/os/
 http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/fedora/redhat/$releasever/$basearch/yum/os/
 http://wftp.tu-chemnitz.de/pub/linux/fedora/redhat/$releasever/$basearch/yum/os/
 ftp://ftp.g-int.net/apt/redhat/$releasever/$basearch/yum/os/
 http://fedora.quicknet.nl/fedora/redhat/$releasever/$basearch/yum/os/
 http://ftp.iasi.roedu.net/mirrors/fedora.us/fedora/redhat/$releasever/$basearch/yum/os/
 ftp://ftp.funet.fi/pub/linux/mirrors/fedora/linux/core/$releasever/$basearch/os/
failovermethod=priority
#gpgcheck=1
# Has eg. ethereal ethereal-gnome nmap nmap-frontend gcc httpd squirrelmail imap php gaim 
# rpm --import http://fedora.redhat.com/about/security/4F2A6FD2.txt

[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates - Official update RPMs from Fedora Project
baseurl=
 http://ftp.funet.fi/pub/linux/mirrors/fedora/linux/core/updates/$releasever/$basearch/ 
 http://mirrors.kernel.org/fedora/core/updates/$releasever/$basearch
 ftp://ftp.uio.no/pub/Linux/Fedora/core/updates/1/
 ftp://ftp.sunet.se/pub/Linux/distributions/fedora/core/updates/$releasever/$basearch/
 ftp://ftp.surfnet.nl/pub/os/Linux/distr/fedora/updates/$releasever/$basearch/
 http://speakeasy.rpmfind.net/linux/fedora/core/updates/$releasever/$basearch
 http://ftp.dulug.duke.edu/pub/fedora/linux/core/updates/$releasever/$basearch
 ftp://linux.stanford.edu/pub/mirrors/fedora/linux/core/updates/$releasever/$basearch
 http://fedora.redhat.com/updates/released/fedora-core-$releasever
 ftp://ftp.ussg.iu.edu/pub/linux/fedora/fedora/redhat/$releasever/$basearch/yum/updates/
 http://mirrors.usc.edu/pub/linux/fedora/redhat/$releasever/$basearch/yum/updates/
 http://download.fr.fedora.us/fedora/redhat/$releasever/$basearch/yum/updates/
 http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/fedora/redhat/$releasever/$basearch/yum/updates/
 http://wftp.tu-chemnitz.de/pub/linux/fedora/redhat/$releasever/$basearch/yum/updates/
 ftp://ftp.g-int.net/apt/redhat/$releasever/$basearch/yum/updates/
 http://fedora.quicknet.nl/fedora/redhat/$releasever/$basearch/yum/updates/
 http://ftp.iasi.roedu.net/mirrors/fedora.us/fedora/redhat/$releasever/$basearch/yum/updates/
 ftp://ftp.funet.fi/pub/linux/mirrors/fedora/linux/core/updates/$releasever/$basearch/ 
failovermethod=priority
#gpgcheck=1
# Has eg. lftp openssh openssh-server wget curl postfix 
### Third party RPMs, various projects and packagers
# rpm --import http://fedora.redhat.com/about/security/4F2A6FD2.txt

# Fedora Core test/development packages have other keys, see
#  http://fedora.redhat.com/about/security/

#[fedora-us-stable]
#name=Fedora.us Extras (Stable) - Third party RPMs by many authors
#baseurl=
#  http://mirrors.kernel.org/fedora.us/fedora/fedora/$releasever/$basearch/yum/stable
#  http://fedora.quicknet.nl/fedora/fedora/$releasever/$basearch/yum/stable
#  http://download.fedora.us/fedora/fedora/$releasever/$basearch/yum/stable
#failovermethod=priority
#gpgcheck=1
# Has eg. thunderbird MozillaFirebird nethack-falconseye neverball xmule
# rpm --import http://www.fedora.us/FEDORA-GPG-KEY

[freshrpms]
name=FreshRPMs - Stable - Third party RPMs by Mathias Saou
baseurl=
 http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/freshrpms/
 http://ftp.us2.freshrpms.net/linux/freshrpms/ayo/fedora/linux/$releasever/$basearch/freshrpms/
failovermethod=priority
gpgcheck=1
#retries=1
# Has eg. sylpheed ogle ogle_gui mplayer-mencoder ltris neverball
# xmms-mp3 gstreamer-plugins-extras gstreamer-plugins-mp3
# rpm --import http://freshrpms.net/packages/RPM-GPG-KEY.txt

#[livna-stable]
#name=Livna.org - Fedora Compatible Packages (stable) - Third party RPMs with non-Free licenses, patents...
#baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/yum/stable
#failovermethod=priority
#retries=0
#gpgcheck=1
# Has eg. xmms-mp3 mplayer mplayer-mencoder ogle ogle_gui gstreamer-plugins-mp3
# rpm --import http://rpm.livna.org/RPM-LIVNA-GPG-KEY

#[atrpms-stable]
#name=ATrpms - Stable
#baseurl=
#  http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-stable
#  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-stable
#  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-stable
#gpgcheck=1
# rpm --import http://atrpms.physik.fu-berlin.de/RPM-GPG-KEY.atrpms

#[macromedia]
#name=macromedia.mplug.org - Flash Plugin - Closed source plugin for web embedded interactive animations
#baseurl=http://macromedia.mplug.org/apt/fedora/$releasever
#  http://sluglug.ucsc.edu/macromedia/apt/fedora/$releasever
#  http://ruslug.rutgers.edu/macromedia/apt/fedora/$releasever
#  http://macromedia.rediris.es/apt/fedora/$releasever
#gpgcheck=1
# Has flash-plugin

### Local repository, copy RPMs to baseurl, cd baseurl and yum-arch . 
#[my-rpms]
#name=myrpms-local
#baseurl=file:///root/myrpms/
#gpgcheck=1

### Notes
# Using yum:
#  yum -y install sylpheed # Install a program, -y answers "yes" to all questions
#  yum list "*ssh*"	# lists packages that have "ssh" in the name
#  find /var/cache/yum -iname "*ssh*"	# other way to find ssh
#  chkconfig yum on        # make yum update all programs every night
#  yum remove up2date      # remove a program, dependencies handled
# Upgrading between major versions (Red Hat 9 to Fedora Core 1):
#  rpm -Uvh http://download.fedora.redhat.com/pub/fedora/linux/core/1/i386/os/Fedora/RPMS/yum-2.0.4-2.noarch.rpm
#  rpm -Uvh http://download.fedora.redhat.com/pub/fedora/linux/core/1/i386/os/Fedora/RPMS/fedora-release-1-3.i386.rpm
#  yum upgrade 
#  Fix some conflicts/requires dependences like: yum remove pine
# About yum: man yum ; man yum.conf ; http://linux.duke.edu/projects/yum/
# Lists of repositories (places to add to yum.conf): 
#  http://fedora.artoo.net/faq/samples/yum.conf
#  http://www.kolumbus.fi/matti.niinikoski/yum.conf (link currently down)
#  http://www.webaugur.com/bibliotheca/linux/yum.conf
# Notes: 
#  Baseurl is url to the the directory where you can see "headers" directory.
#  If you are behind a proxy: export http_proxy="http://www-cache.helia.fi:8000"
# Packages that are not found in these mirrors yet: 
#  catdoc soffice2html zoo calc lufs httrack psi icewm vobcopy 
#  rhl-ig rhl-rg rhl-cg rhl-sap rhl-sg soikko soikko-oo tmispell
# TODO: 
#  Yum repository of missing packages.
#  GPG keys checking with a computer that has none installed. (Fedora base / updates?)
#  Mirros listed in fastest first order. (automate speed test with bash and curl)
#  done: Use $arch, $releasever... in all baseurls.
# This yum.conf and many other linux articles http://iki.fi/karvinen/ 

